Subject: Re: Compiling Xfree86
From: Jason Tishler <[email-masked]>
To: "Michael O'Melia" <[email-masked]>
Cc: [email-masked]
Date: Thu, 28 Sep 2000 08:47:26 -0400

Michael,

On Wed, Sep 27, 2000 at 04:10:14PM -0500, Michael O'Melia wrote:
> Here is an example of an error that I get when trying to compile Xfree.  It
> seems to be the only error type that I have left (albeit, all over the
> place!)
> 
> rm -f junk.o
> gcc -c -O2  -Wall  -I../../lib/X11 -I../../include/extensions  -I../.. -I../
> ../exports/include  -D__i386__ -DWIN32_LEAN_AND_MEAN -DX_LOCALE -D_MT -D_X86
> _ -D__STDC__ -DNO_TCP_H -D__CYGWIN__ -D_XOPEN_SOURCE -D_REENTRANT -D_POSIX_C
> _SOURCE=199309L -D_BSD_SOURCE -D_SVID_SOURCE -D_GNU_SOURCE -DX_SOURCE   -DFU
> NCPROTO=15 -DNARROWPROTO       -D_DLL junk.c
> junk.c:2: conflicting types for `_cygwin_dll_entry'
> junk.c:2: previous declaration of `_cygwin_dll_entry'
> make: *** [junk.o] Error 1

Since you did not include junk.c in your post, I can only guess.  I
think that you are having a similar problem to what I encountered while
building PostgreSQL 7.0.2 on Cygwin 1.1.4.  See the following for more
details:

    http://sources.redhat.com/ml/cygwin/2000-09/msg00791.html

I resolved my problem by replacing /usr/include/cygwin/cygwin_dll.h with
one from the development snapshots.  I used the following successfully:

    http://sources.redhat.com/cygwin/snapshots/cygwin-src-20000918.tar.bz2/winsup/cygwin/include/cygwin/cygwin_dll.h

Hope the above helps.

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corporation         Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]